# ChangeLog for app-office/openoffice-bin
# Copyright 2002-2005 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/app-office/openoffice-bin/ChangeLog,v 1.64 2005/03/30 10:17:17 suka Exp $
+# $Header: /var/cvsroot/gentoo-x86/app-office/openoffice-bin/ChangeLog,v 1.65 2005/03/30 13:31:30 suka Exp $
+
+*openoffice-bin-1.9.87 (30 Mar 2005)
+
+ 30 Mar 2005; Andreas Proschofsky <suka@gentoo.org>
+ +files/1.9/ooffice-wrapper-1.9, +openoffice-bin-1.9.87.ebuild:
+ First pre-release of OpenOffice.org 2.0. Please remember:
+
+ *) This is a pre-release so expect breakage, its use is totally at your own
+ risk
+
+ *) The ebuild is not finished, but should generally work, just don't expect
+ a "smooth" upgrade path for your user install to future versions
+
+ Other than that: Enjoy!
30 Mar 2005; Andreas Proschofsky <suka@gentoo.org>
files/1.1.4/ooffice-wrapper-1.3, openoffice-bin-1.1.4.ebuild:
MD5 85f82981fc7704f969455dd17b1ebd2a openoffice-bin-1.1.3.ebuild 5804
+MD5 ccc2895c5e83a4deb4927f26d0c1f413 openoffice-bin-1.9.87.ebuild 2885
MD5 4ce0d4040343c8017e56423a60303e9b openoffice-bin-1.1.4.ebuild 4802
MD5 1a091dd047f09cc05d99f025c6a65fff openoffice-bin-1.1.1.ebuild 5855
-MD5 fc49c384fafcbaf604ee0a10945bfab7 ChangeLog 10885
+MD5 70f269bd6aa0e7dbb13eb32f51e4fbef ChangeLog 11367
MD5 7134ec08f56019fc5db7f3e84acea4df metadata.xml 460
+MD5 d26498d760d130f16c0b54a527017b45 files/digest-openoffice-bin-1.9.87 84
MD5 2b70af485f57d1db6983b006f16a0587 files/digest-openoffice-bin-1.1.1 171
MD5 8d9726b3b029e043fbae1b0249a53daf files/digest-openoffice-bin-1.1.3 82
MD5 c916d8311a499466ae0401ff064bb539 files/digest-openoffice-bin-1.1.4 82
+MD5 1a7afed026065dd18f0fc20030fb6496 files/1.9/ooffice-wrapper-1.9 2734
MD5 4b2f3102e273ff72e281ed0d481b1526 files/1.1.1/ooffice-wrapper-1.3 9166
MD5 43cbfca8df057d634675ef000fae82fc files/1.1.3/ooffice-wrapper-1.3 9471
MD5 4045e7a45d5209ff0ac93c5c5db0114b files/1.1.4/ooffice-wrapper-1.3 6659
--- /dev/null
+#!/bin/sh
+#
+# Wrapper script for openoffice
+#
+# (C) Peter 'Nidd' Novodvorsky, 2001,2002
+# (C) Martin 'empty' Quinson, 2002.
+# Modifications by Chris Halls
+# Modifications by Lucien Saviot
+
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
+# General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
+
+# For OpenOffice.org1.9
+OOHOME=/opt/OpenOffice.org
+
+##
+## Add /usr/share/fonts to font search path
+##
+
+# Default font path. This is used if SAL_FONTPATH_PRIVATE is not defined.
+
+GENTOO_FONTPATH=""
+for d in `find /usr/share/fonts -maxdepth 1 -mindepth 1 -type d` ; do
+ GENTOO_FONTPATH="$GENTOO_FONTPATH;$d"
+done
+
+SAL_FONTPATH_PRIVATE=${SAL_FONTPATH_PRIVATE:-"$GENTOO_FONTPATH"}
+export SAL_FONTPATH_PRIVATE
+
+## search LOCALE
+if [ -n "$LC_ALL" ]; then
+ LOCALE="$LC_ALL"
+ # OOo doesn't understand LC_ALL, so set LANG
+ LANG="$LC_ALL"
+elif [ -n "$LANG" ]; then
+ LOCALE="$LANG"
+elif [ -n "$LC_MESSAGES" ]; then
+ LOCALE="$LC_MESSAGES"
+ LANG="$LC_MESSAGES"
+else
+ LOCALE="en_US"
+fi
+
+# Set locale to en_US if locale is C
+if [ "x$LOCALE" = "xC" ] ; then LOCALE="en_US"; fi
+
+LOCALEOO=`echo $LOCALE | sed 's/_/-/'`
+
+##
+## If no file is specified on the command line, which application to start?
+## The wrapper can be called from several links in /usr/bin
+##
+if [ $# = 0 ]; then
+ case `basename $0` in
+ oocalc) set -- private:factory/scalc;;
+ oodraw) set -- private:factory/sdraw;;
+ ooimpress) set -- private:factory/simpress;;
+ oomath) set -- private:factory/smath;;
+ ooweb) set -- private:factory/swriter/web;;
+ oowriter) set -- private:factory/swriter;;
+ esac
+fi
+
+##
+## That's it. Launch the beast (with the given args)
+##
+LANG=$LOCALE
+export LANG
+case `basename $0` in
+ oopadmin) exec "$OOHOME/program/spadmin"
+ ;;
+ *) exec "$OOHOME/program/soffice" "$@"
+ ;;
+esac
--- /dev/null
+MD5 7f5cc54d99f40729162bcced2acfe3de OOo_1.9.87_LinuxIntel_install.tar.gz 102757515
--- /dev/null
+# Copyright 1999-2005 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/app-office/openoffice-bin/openoffice-bin-1.9.87.ebuild,v 1.1 2005/03/30 13:31:30 suka Exp $
+
+inherit eutils fdo-mime rpm versionator
+
+IUSE="gnome java"
+
+INSTDIR="/opt/OpenOffice.org"
+
+S="${WORKDIR}/RPMS"
+DESCRIPTION="OpenOffice productivity suite"
+
+SNV="$(get_version_component_range 3)"
+SRC_URI="mirror://openoffice/developer/680_m${SNV}/OOo_1.9.${SNV}_LinuxIntel_install.tar.gz"
+
+HOMEPAGE="http://www.openoffice.org/"
+
+LICENSE="|| ( LGPL-2 SISSL-1.1 )"
+SLOT="0"
+KEYWORDS="~x86 ~amd64"
+
+RDEPEND="!app-office/openoffice
+ virtual/x11
+ virtual/libc
+ >=dev-lang/perl-5.0
+ app-arch/zip
+ app-arch/unzip
+ java? ( >=virtual/jre-1.4.1 )
+ amd64? ( >=app-emulation/emul-linux-x86-xlibs-1.0 )"
+
+DEPEND="${RDEPEND}
+ sys-apps/findutils"
+
+PROVIDE="virtual/ooo"
+
+src_unpack() {
+ unpack ${A}
+
+ for i in core01 core02 core03 core04 core05 core06 core07 core08 calc draw impress math writer graphicfilter pyuno spellcheck testtool xsltfilter; do
+ rpm_unpack ${S}/openofficeorg-${i}-1.9.${SNV}-1.i586.rpm
+ done
+
+ rpm_unpack ${S}/openofficeorg-freedesktop-menus-1.9.${SNV}-1.noarch.rpm
+
+ use gnome && rpm_unpack ${S}/openofficeorg-gnome-integration-1.9.${SNV}-1.i586.rpm
+ use java && rpm_unpack ${S}/openofficeorg-javafilter-1.9.${SNV}-1.i586.rpm
+}
+
+src_install () {
+ # Sandbox issues; bug #8587
+ addpredict "/user"
+ addpredict "/share"
+ addpredict "/dev/dri"
+ addpredict "/usr/bin/soffice"
+ addpredict "/pspfontcache"
+ addpredict "/root/.gconfd"
+ addpredict "/opt/OpenOffice.org/foo.tmp"
+ addpredict "/opt/OpenOffice.org/delme"
+
+ einfo "Installing OpenOffice.org into build root..."
+ dodir ${INSTDIR}
+ dodir /usr/share/icons
+ dodir /usr/share/mime
+ mv ${WORKDIR}/opt/openoffice.org1.9.${SNV}/* ${D}${INSTDIR}
+ mv ${WORKDIR}/usr/share/icons/* ${D}/usr/share/icons
+ mv ${WORKDIR}/usr/share/mime/* ${D}/usr/share/mime
+
+ #Menu entries
+ cd ${D}${INSTDIR}/share/xdg/
+
+ sed -i -e s/'Exec=openoffice.org-1.9-printeradmin'/'Exec=oopadmin'/g printeradmin.desktop
+
+ for desk in base calc draw impress math writer printeradmin; do
+ mv ${desk}.desktop openoffice.org-1.9-${desk}.desktop
+ domenu openoffice.org-1.9-${desk}.desktop
+ done
+
+ einfo "Removing build root from registry..."
+ # Install wrapper script
+ newbin ${FILESDIR}/1.9/ooffice-wrapper-1.9 openoffice.org-1.9
+
+ # Component symlinks
+ for app in calc draw impress math writer web padmin; do
+ dosym openoffice.org-1.9 /usr/bin/oo${app}
+ done
+
+ dosym openoffice.org-1.9 /usr/bin/openoffice.org-1.9-printeradmin
+}
+
+pkg_postinst() {
+
+ fdo-mime_desktop_database_update
+ fdo-mime_mime_database_update
+
+ einfo " To start OpenOffice.org, run:"
+ einfo
+ einfo " $ ooffice"
+ einfo
+ einfo " Also, for individual components, you can use any of:"
+ einfo
+ einfo " oocalc, oodraw, ooimpress, oomath, ooweb or oowriter"
+}